-- Note: this Mixin is a little bit special, it adds both a function in the core and others in the button mixin

local TextSubs = FlexBar2.OO.Mixin 
{
	-- Text1 fontstring creation
	self.Frame.Text1 = self.Frame:CreateFontString(nil, "ARTWORK", "NumberFontNormal");
	self.Frame.Text1:SetJustifyH("LEFT");
	self.Frame.Text1:SetPoint("TOPLEFT", self.Frame, "TOPLEFT");
	self.Frame.Text1:SetPoint("TOPRIGHT", self.Frame, "TOPRIGHT");

	-- Text2 fontstring creation
	self.Frame.Text2 = self.Frame:CreateFontString(nil, "ARTWORK", "NumberFontNormal");
	self.Frame.Text2:SetJustifyH("RIGHT");
	self.Frame.Text2:SetPoint("TOPLEFT", self.Frame, "TOPLEFT");
	self.Frame.Text2:SetPoint("TOPRIGHT", self.Frame, "TOPRIGHT");

	-- Text3 fontstring creation
	self.Frame.Text3 = self.Frame:CreateFontString(nil, "ARTWORK", "NumberFontNormal");
	self.Frame.Text3:SetJustifyH("RIGHT");
	self.Frame.Text3:SetPoint("BOTTOMLEFT", self.Frame, "BOTTOMLEFT");
	self.Frame.Text3:SetPoint("BOTTOMRIGHT", self.Frame, "BOTTOMRIGHT");

	-- Text4 fontstring creation
	self.Frame.Text4 = self.Frame:CreateFontString(nil, "ARTWORK", "NumberFontNormal");
	self.Frame.Text4:SetJustifyH("LEFT");
	self.Frame.Text4:SetPoint("BOTTOMRIGHT", self.Frame, "BOTTOMRIGHT");
	self.Frame.Text4:SetPoint("BOTTOMLEFT", self.Frame, "BOTTOMLEFT");

	-- Text5 fontstring creation
	self.Frame.Text5 = self.Frame:CreateFontString(nil, "ARTWORK", "NumberFontNormal");
	self.Frame.Text5:SetJustifyH("CENTER");
	self.Frame.Text5:SetPoint("CENTER");
};


function TextSubs:Activate()

end

FlexBar2:RegisterButtonClass(TextSubs);
